Fedora 18 : cgit-0.9.2-1.fc18 (2013-9498)

Medium Nessus Plugin ID 67360


The remote Fedora host is missing a security update.


A directory traversal vulnerability was discovered in cgit. By default, cgit is not affected. However, if cgit is configured to use a readme file from a filesystem path instead of from the git repo itself then files outside of the repository can be read.

Refer to the discussion on oss-security for further details :


Note that Tenable Network Security has extracted the preceding description block directly from the Fedora security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


Update the affected cgit package.

See Also




Plugin Details

Severity: Medium

ID: 67360

File Name: fedora_2013-9498.nasl

Version: $Revision: 1.5 $

Type: local

Agent: unix

Published: 2013/07/12

Modified: 2015/10/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Temporal Score: 3.6

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:fedoraproject:fedora:cgit, cpe:/o:fedoraproject:fedora:18

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2013/05/29

Reference Information

CVE: CVE-2013-2117

BID: 60164

FEDORA: 2013-9498